diff --git a/src/postgres/src/backend/commands/copy.c b/src/postgres/src/backend/commands/copy.c
index b8bf407bb51b..219c694669b3 100644
--- a/src/postgres/src/backend/commands/copy.c
+++ b/src/postgres/src/backend/commands/copy.c
@@ -303,7 +303,7 @@ if (1) \
 
 static const char BinarySignature[11] = "PGCOPY\n\377\r\n\0";
 
-int yb_default_copy_from_rows_per_transaction = 0;
+int yb_default_copy_from_rows_per_transaction = DEFAULT_BATCH_ROWS_PER_TRANSACTION;
 
 /* non-export function prototypes */
 static CopyState BeginCopy(ParseState *pstate, bool is_from, Relation rel,
@@ -2459,17 +2459,11 @@ CopyFrom(CopyState cstate)
 
 	/*
 	 * If the batch size is not explicitly set in the query by the user,
-	 * use the session variable value. We have different defaults depending
-	 * on whether the table is colocated or not (#15362).
+	 * use the session variable value.
 	 */
 	if (cstate->batch_size < 0)
 	{
-		int batch_size = yb_default_copy_from_rows_per_transaction;
-		if (batch_size == 0)
-			batch_size = YbGetTableProperties(cstate->rel)->is_colocated
-				? DEFAULT_BATCH_ROWS_PER_TRANSACTION_FOR_COLOCATED_TABLE
-				: DEFAULT_BATCH_ROWS_PER_TRANSACTION;
-		cstate->batch_size = batch_size;
+		cstate->batch_size = yb_default_copy_from_rows_per_transaction;
 	}
 
 #define MAX_BUFFERED_TUPLES 1000
diff --git a/src/postgres/src/include/commands/copy.h b/src/postgres/src/include/commands/copy.h
index a5ef34c0d59f..8b52ad82edd9 100644
--- a/src/postgres/src/include/commands/copy.h
+++ b/src/postgres/src/include/commands/copy.h
@@ -21,12 +21,6 @@
 
 #define DEFAULT_BATCH_ROWS_PER_TRANSACTION  20000
 
-/**
- * (#15362): We use a smaller default rows_per_transaction for colocated table to mitigate the
- * slow copy issue until a proper fix is put in place.
- */
-#define DEFAULT_BATCH_ROWS_PER_TRANSACTION_FOR_COLOCATED_TABLE 1000
-
 /* CopyStateData is private in commands/copy.c */
 typedef struct CopyStateData *CopyState;
 typedef int (*copy_data_source_cb) (void *outbuf, int minread, int maxread);
